Page MenuHomePhabricator

Move Content translation settings from beta to preferences if CX is not a betafeature
Closed, ResolvedPublic

Description

In order to expose Content translation to more users in Catalan Wikipedia (T102107), we want to migrate the Content translation settings from beta to preferences enabling it by default.

In particular, this ticket proposes the following changes:

  • Remove the Content translation item from the list of beta features.
  • Allow any logged-in user to access Special:ContentTranslation, redirecting logged-out users to log-in in order to access.
  • Add a new option in the "Appearance" tab of the user preferences, under the "Languages" section. More details on the new option below.

Details for the option in the preferences

General behavior:

  • The option controls the visibility of the entry points on the Contributions page, the contributions menu, grey links in the language list and the invite shown when creating a new article. When disabling the option, a user will no longer see quick access options to the tool in the UI.
  • The option will be enabled by default.
  • The option does not affect the direct access to Special:ContentTranslation. Even if the option is disabled, users can access the special page when following a link or typing it in the search box. The purpose of the option is for the entry points not to get in the way for those not interested in translation, but the direct access to the tool is ok in any case.

Message used:

Access to [start a translation] from the contributions page, the language list, and new page creations.

  • Mockup: **

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2019, 11:35 AM
santhosh claimed this task.May 29 2019, 7:20 AM

Change 513030 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Show option to disable CX entrypoints in Special:Preferences

https://gerrit.wikimedia.org/r/513030

Remaining: https://gerrit.wikimedia.org/r/513030 Added the preference, but the value is not used anywhere.

santhosh renamed this task from Move Content translation settings from beta to preferences in Catalan Wikipedia to Move Content translation settings from beta to preferences if CX is not a betafeature.May 29 2019, 7:29 AM

Change 513035 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Remove CX from beta features tab of Special:Preferences

https://gerrit.wikimedia.org/r/513035

Change 513072 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] If CX is not beta, use cx-enable-entrypoints preference value

https://gerrit.wikimedia.org/r/513072

Petar.petkovic updated the task description. (Show Details)

Change 513030 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Show option to disable CX entrypoints in Special:Preferences

https://gerrit.wikimedia.org/r/513030

Change 513035 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Remove CX from beta features tab of Special:Preferences

https://gerrit.wikimedia.org/r/513035

Change 513072 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] If CX is not beta, use cx-enable-entrypoints preference value

https://gerrit.wikimedia.org/r/513072

Pginer-WMF renamed this task from Move Content translation settings from beta to preferences if CX is not a betafeature to .Jul 1 2019, 12:22 PM
Jpita added a subscriber: Jpita.

tested in cx-ofb.wmflabs.org.
moving to `Recheck after deployment" to check on cawiki

Jpita closed this task as Resolved.Jul 12 2019, 1:12 PM
Jpita moved this task from Needs QA to Done on the Language-Team (Language-2019-July-September) board.